Summary: A firewall configuration application for an average end user.
Name:		gnome-lokkit
Version:	0.50
Release: 22
License:	GPL
Group:		Applications/Internet
Source:		ftp://ftp.linux.org.uk/pub/linux/alan/%{name}-%{version}.tar.gz
Source1:	gnome-lokkit-top.png
Source2:	gnome-lokkit-left.png
Patch0:         gnome-lokkit-0.50-rh.patch
Patch1: 	gnome-lokkit-0.50-norp3.patch
Patch2:		gnome-lokkit-0.50-path.patch
Patch3:		gnome-lokkit-0.50-relay.patch
Patch4: 	gnome-lokkit-0.50-iptables.patch
Patch5: 	gnome-lokkit-0.50-input.patch
Patch6: 	gnome-lokkit-0.50-pam_timestamp.patch
Patch7: 	gnome-lokkit-0.50-multilib-pam.patch
URL:		http://www.linux.org.uk/apps/lokkit.shtml
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires: 	gnome-libs >= 1.4.0 iptables
BuildPrereq:    /usr/bin/db2html gnome-libs-devel newt-devel

%description
The gnome-lokkit package contains a utility which attempts to provide
firewalling for the average Linux end user. Instead of having to
configure firewall rules, gnome-lokkit asks a small number of simple
questions and writes a firewall rule set for you.

Gnome-lokkit is not designed to configure arbitary firewalls. To make
it simple to understand, it is solely designed to handle typical
dialup user and cable modem setups. It will not provide a complex
firewall configuration, and it is not the equal of an expert firewall
designer.

%package -n lokkit
Summary: Firewall configuration application for an average end user.
Group: Applications/Internet
Requires: iptables

%description -n lokkit
The Lokkit utility attempts to provide firewalling for the average
Linux end user. Instead of configuring firewall rules, Lokkit asks a
small number of simple questions and writes a firewall rule set for
you.

Lokkit is not designed to configure arbitary firewalls. To make it
simple to understand, it is solely designed to handle typical dialup
user and cable modem setups. It will not provide a complex firewall
configuration, and it is not the equal of an expert firewall
designer.

%prep
%setup -q -n gnome-lokkit-%{version}
%patch0 -p1 -b .rh
%patch1 -p1 -b .norp3
%patch2 -p1 -b .path
%patch3 -p1 -b .relay
%patch4 -p1 -b .iptables
%patch5 -p1 -b .input
%patch6 -p1 -b .pam_timestamp
%patch7 -p1 -b .multilib-pam

%build
%configure
OLD_PO_FILE_INPUT=yes make

%install
rm -rf %{buildroot}
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/gnome-lokkit
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/gnome-lokkit
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/gnome-lokkit

%find_lang Lokkit

%clean
rm -rf %{buildroot}

%files -f Lokkit.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_prefix}/bin/gnome-lokkit
%{_sbindir}/gnome-lokkit
%{_datadir}/gnome/apps/System/gnome-lokkit.desktop
%{_sysconfdir}/X11/sysconfig/gnome-lokkit.desktop
%{_sysconfdir}/security/console.apps/*
%{_sysconfdir}/pam.d/*
%{_datadir}/gnome/help/*
%{_datadir}/pixmaps/*

%files -n lokkit -f Lokkit.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sbindir}/lokkit

%changelog
* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Mon Feb 24 2003 Harald Hoyer <harald@redhat.de> 0.50-21
- put all rules in RH-Lokkit-0-50 chain
- redirect INPUT _and_ FORWARD to RH-Lokkit-0-50 chain
- fixes #84975

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Nov 11 2002 Nalin Dahyabhai <nalin@redhat.com> 0.50-19
- Remove directory part of module names in the PAM config, allowing the same
  config file to work equally well for both arches on multilib boxes.

* Tue Aug 27 2002 Tim Waugh <twaugh@redhat.com> 0.50-18
- Use 'RH-Lokkit-0-50-INPUT' instead of 'INPUT' (bug #70807).

* Fri Aug 23 2002 Tim Waugh <twaugh@redhat.com> 0.50-17
- s/Copyright:/License:/.
- Add pam_timestamp support (bug #69858).

* Wed Aug 21 2002 Tim Waugh <twaugh@redhat.com> 0.50-16
- Use 'INPUT' instead of 'input' (bug #70807).

* Thu Aug 15 2002 Bill Nottingham <notting@redhat.com>
- build against new slang

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 18 2002 Bill Nottingham <notting@redhat.com>
- rebuild against new slang

* Wed Jun 12 2002 Harald Hoyer <harald@redhat.de>
- put all rules in RH-Lokkit-0-50-INPUT chain

* Tue Jun 11 2002 Harald Hoyer <harald@redhat.de>
- migrated to iptables

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Apr 18 2002 Bill Nottingham <notting@redhat.com>
- fix mail check hostname (#63811)

* Mon Apr 15 2002 Bill Nottingham <notting@redhat.com>
- regen tarball to fix build (#63360)

* Thu Aug 27 2001 Bill Nottingham <notting@redhat.com>
- updated translations

* Thu Aug 23 2001 Jonathan Blandford <jrb@redhat.com>
- move package from serverconfig to sysconfig 

* Wed Jul 25 2001 Bill Nottingham <notting@redhat.com>
- don't require rp3

* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- remove the INSTALL file from docs to satisfy rpmlints hatred of absolute links

* Fri Jun 22 2001 Bill Nottingham <notting@redhat.com>
- switch to working out of GNOME CVS, with a minor patch to tweak defaults
- fix bug #38472

* Thu Jun 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- support newer gettext version

* Thu Apr 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- allow building on s390/s390x without a require for rp3

* Tue Feb 27 2001 Bill Nottingham <notting@redhat.com>
- write a note at the top of /etc/sysconfig/ipchains about manual editing
  (#29129)

* Mon Feb 19 2001 Bill Nottingham <notting@redhat.com>
- write REJECT, not DENY rules

* Tue Feb  6 2001 Bill Nottingham <notting@redhat.com>
- unlink /etc/sysconfig/ipchains if we're disabling the firewall (#26254)

* Sun Jan 21 2001 Bill Nottingham <notting@redhat.com>
- add newt frontend

* Thu Jan 18 2001 Bill Nottingham <notting@redhat.com>
- don't set up the firewall to write it; just write the info

* Tue Jan 16 2001 Bill Nottingham <notting@redhat.com>
- add a command-line version
- bump version to 0.43 at maintainer's request

* Wed Aug 23 2000 Preston Brown <pbrown@redhat.com>
- patch from alan to fix mailrelay (#16740)

* Sun Aug 20 2000 Preston Brown <pbrown@redhat.com>
- use /etc/sysconfig/ipchains not /etc/sysconfig/firewall (#16479)
- desktop file is now mode 0600

* Thu Aug  3 2000 Matt Wilson <msw@redhat.com>
- feeling dirty for some reason about the way we do ipchains save
- removed now-merged changes in src/Makefile.am
- 0.41

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Matt Wilson <msw@redhat.com>
- changed group from Networking/Utilities to Applications/Internet

* Mon Jul 03 2000 Havoc Pennington <hp@redhat.com>
- Fix misuse of mkstemp in redhat patch (must pass it a writeable
  string, and it returns a file descriptor, not just an error code)

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>\
- require ipchains

* Wed Jun 14 2000 Preston Brown <pbrown@redhat.com>
- Adopted for winston; added ipchains-save abilities; no need for initscript

* Mon Feb 21 2000  Julian Missig  <julian@linuxpower.org>
- First version of the spec file. It seems to work.

